Bug 5983 - Better error for certificate not yet valid
: Better error for certificate not yet valid
Status: RESOLVED FIXED
: Java WS Security
Authentication
: unspecified
: Macintosh All
: P3 normal
: 4.2.1
Assigned To:
:
: 4.0.x
:
:
  Show dependency treegraph
 
Reported: 2008-04-04 10:47 by
Modified: 2008-07-28 10:26 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-04-04 10:47:31
It would be nice if this error message:
"org.globus.gsi.proxy.ProxyPathValidatorException: Certificate
O=Grid,OU=GlobusTest,OU=ConsortiumTutorial,CN=host/nodec.ps.univa.com not yet
valid."

came annotated with the validity dates of the certificate as well as the
current date/time.  And quite possibly the filename of the certificate
affected, since it might be one of the CA certs.
------- Comment #1 From 2008-07-09 14:29:59 -------
Fixed in trunk, 4.2 and 4.0 branch. File names could not be added because the
certificate is loaded only once at initialization - it requires significant
rework of the APIs to allow for that. But for now timestamp are added.